{ config, lib, pkgs, ... }:

{

  services.rpcbind.enable = true; # needed for NFS

   fileSystems =
    let
      opts = [ "nfsvers=4.1" "noatime" "noauto" ];
    in {

      "/mnt/filez/media" = {
        device = "filez:/volume1/Media";
        fsType = "nfs";
        options = opts;
      };

      "/mnt/filez/music-production" = {
        device = "filez:/volume1/Music Production";
        fsType = "nfs";
        options = opts;
      };

      "/mnt/filez/storage" = {
        device = "filez:/volume1/Storage";
        fsType = "nfs";
        options = opts;
      };

      "/mnt/filez/photos" = {
        device = "filez:/volume1/Photo Storage";
        fsType = "nfs";
        options = opts;
      };
    };
}
